#include <NewPing.h> 
//naimportování knihovny NewPing

#include <LiquidCrystal.h>


int rs_pin = 2;
int e_pin = 3;
int d4_pin = 4;
int d5_pin = 5;
int d6_pin = 6;
int d7_pin = 7;


LiquidCrystal LCD(rs_pin, e_pin, d4_pin, d5_pin, d6_pin, d7_pin); //nám již známé nastavení LCD

int trig_pin = 52; //HC-SR04 má dva datové piny - Trigger
int echo_pin = 50; //a Echo
int max_vzdalenost = 500; //náš modul umí měřit do 500cm.
//Pro případ, že by byla vzdálenost větší se měření ukončí, aby nedocházelo k problémům
NewPing metr(trig_pin, echo_pin, max_vzdalenost); 
//newping vytvoří nový objekt, u nás s názvem metr. Jako parametry jsou trigpin, echopin a max vzdálenost

float vzdalenost;
// vzdálenost si vložíme do další proměnné
void setup()
{
  LCD.begin(16,2);
  LCD.setCursor(0,0);
  LCD.print("itnetwork.cz");
  //známé spuštění LCD
}

void loop()
{
  vzdalenost = metr.ping_cm(); 
  //do proměnné vzdalenost uložíme výsledek funkce ping_cm, která za nás změří vzdálenost
  LCD.setCursor(0,1);
  LCD.print("            ");
  //Promazání předchozí hodnoty. Pokud bychom ze 103 cm přešli na 98, zůstane zde ta trojka 
  //a display by napsal 983 cm
  LCD.setCursor(0,1);
  LCD.print(vzdalenost + 1); //vypíšeme vzdálenost
  //jedna odečteme proto, že čidlo je zhruba 1cm vysoké a když jej třeba přiložíme na stěnu,
  //abychom změřili vzdálenost protější, tak by byla hodnota o jeden cm menší
  LCD.setCursor(12,1);
  LCD.print("cm");
  delay(500); //a chvilku počkáme
}
